> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/how-to-guides/data-retrieval-and-modification/how-to-check-the-api-version-of-a-venue.md).

# How to check the API version of a venue

OpenReview has two APIs. API 2 is the current version and is used by all new venues. API 1 is the legacy version which may be used by some venues through 2024. There are some differences in data retrieval and structure between the two API versions- differences are noted at several places in the documentation.

If you are not sure what version of the API your venue is using, you can check it by using the Venue ID, retrieving the venue group, and checking for the 'domain' field. If the domain field is absent, then it is an API 1 venue, if it is present, then it is an API 2 venue.

An example for an API1 and API 2 venue is below:

<pre class="language-python"><code class="lang-python"><strong>api2_venueid = 'NeurIPS.cc/2024/Conference' #In 2024, NeurIPS used API 2
</strong>api2_venue_group = live_client_v2.get_group(api2_venueid)
api2_venue_domain = api2_venue_group.domain
print(api2_venue_domain) 
#Output: NeurIPS.cc/2024/Conference

api1_venueid = 'NeurIPS.cc/2022/Conference' #In 2022, NeruIPS used API1
api1_venue_group = live_client_v2.get_group(api1_venueid)
api1_venue_domain = api1_venue_group.domain
print(api1_venue_domain) 
#Output: None
```
</code></pre>

See also: [Installing and initiating the python client](/v1/getting-started/using-the-api/installing-and-instantiating-the-python-client.md), [How to find a venue ID](/v1/getting-started/frequently-asked-questions/how-do-i-find-a-venue-id.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/how-to-guides/data-retrieval-and-modification/how-to-check-the-api-version-of-a-venue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
